<div
  class="select"
  [class.select--active]="open || value"
  [class.select--open]="open"
>
  <div class="select__content">
    <label class="select__label" *ngIf="placeholder">{{ placeholder }}</label>
    <div class="select__current p" (click)="openClose()">
      <ng-container *ngIf="value">
        <ng-template
          select="[activeTemplate]"
          [ngTemplateOutlet]="activeTemplate"
          [ngTemplateOutletContext]="{ $implicit: value }"
        >
        </ng-template>
      </ng-container>
    </div>
  </div>
  <div
    class="select__list"
    *ngIf="open"
    [@openClose]="open"
    [class.select__list--search]="search"
  >
    <div>
      <div class="select__search" *ngIf="search">
        <input
          [(ngModel)]="searchValue"
          #searchInput
          type="text"
          placeholder="Search"
        />
      </div>
      <div class="select__scroller">
        <div
          class="not-selectable"
          *ngFor="let option of shownOptions; let index = index"
        >
          <div
            class="select__parent select__voice not-selectable"
            [class.select__voice--active]="selectedParent(option)"
            [class.select__voice--disabled]="disableParent"
            (click)="!disableParent ? change(option) : null"
          >
            <!-- class.select__voice--active]="model === modelParser(option)" -->
            <ng-template
              select="[parentTemplate]"
              [ngTemplateOutlet]="parentTemplate"
              [ngTemplateOutletContext]="{ $implicit: option, index: index }"
            >
            </ng-template>
          </div>
          <div
            class="select__child select__voice not-selectable"
            *ngFor="let child of childrenParser(option)"
            [class.select__voice--active]="selectedChild(child, option)"
            (click)="change(child, option)"
          >
            <ng-template
              select="[childTemplate]"
              [ngTemplateOutlet]="childTemplate"
              [ngTemplateOutletContext]="{ $implicit: child, index: index }"
            >
            </ng-template>
          </div>
        </div>
        <div
          class="select__empty not-selectable select__voice--inactive"
          *ngIf="search && searchValue && !shownOptions.length"
        >
          <p>No option available...</p>
        </div>
      </div>
    </div>
  </div>
</div>
